PropertyType (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove
Class PropertyType

    java.lang.Object
      edu.harvard.hul.ois.jhove.EnumerationType
          edu.harvard.hul.ois.jhove.PropertyType

    public final class PropertyType

extends EnumerationType

This class defines enumerated types for an Property of some given content. Applications will not create or modify PropertyTypes, but will use one of the predefined PropertyType instances BOOLEAN, BYTE, CHARACTER, DATE, DOUBLE, FLOAT, INTEGER, LONG, OBJECT, PROPERTY, SHORT, STRING, RATIONAL, or NISOIMAGEMETADATA.

See Also:
  `Property`

Field Summary
`static PropertyType` | `AESAUDIOMETADATA` Property type for an `AESAudioMetadata`.
`static PropertyType` | `BOOLEAN` Property type for a `Boolean` object, or a `boolean` if the Arity is Array.
`static PropertyType` | `BYTE` Property type for a `Byte` object, or a `byte` if the Arity is Array.
`static PropertyType` | `CHARACTER` Property type for a `Character` object, or a `char` if the Arity is Array.
`static PropertyType` | `DATE` Property type for a `Date` object.
`static PropertyType` | `DOUBLE` Property type for a `Double` object, or a `double` if the Arity is Array.
`static PropertyType` | `FLOAT` Property type for a `Float` object, or a `float` if the Arity is Array.
`static PropertyType` | `INTEGER` Property type for an `Integer` object, or an `integer` if the Arity is Array.
`static PropertyType` | `LONG` Property type for a `Long` object, or a `long` if the Arity is Array.
`static PropertyType` | `NISOIMAGEMETADATA` Property type for a `NisoImageMetadata`.
`static PropertyType` | `OBJECT` Property type for an `Object`.
`static PropertyType` | `PROPERTY` Property type for a `Property` object.
`static PropertyType` | `RATIONAL` Property type for a `Rational` object.
`static PropertyType` | `SHORT` Property type for a `Short` object, or a `short` if the Arity is Array.
`static PropertyType` | `STRING` Property type for a `String` object.
`static PropertyType` | `TEXTMDMETADATA` Property type for a `TextMDMetadata`.

Method Summary

Methods inherited from class edu.harvard.hul.ois.jhove.EnumerationType
`equals, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BOOLEAN

    public static final PropertyType BOOLEAN

  Property type for a `Boolean` object, or a `boolean` if the Arity is Array.

### BYTE

    public static final PropertyType BYTE

  Property type for a `Byte` object, or a `byte` if the Arity is Array.

### CHARACTER

    public static final PropertyType CHARACTER

  Property type for a `Character` object, or a `char` if the Arity is Array.

### DATE

    public static final PropertyType DATE

  Property type for a `Date` object.

### DOUBLE

    public static final PropertyType DOUBLE

  Property type for a `Double` object, or a `double` if the Arity is Array.

### FLOAT

    public static final PropertyType FLOAT

  Property type for a `Float` object, or a `float` if the Arity is Array.

### INTEGER

    public static final PropertyType INTEGER

  Property type for an `Integer` object, or an `integer` if the Arity is Array.

### LONG

    public static final PropertyType LONG

  Property type for a `Long` object, or a `long` if the Arity is Array.

### OBJECT

    public static final PropertyType OBJECT

  Property type for an `Object`.

### AESAUDIOMETADATA

    public static final PropertyType AESAUDIOMETADATA

  Property type for an `AESAudioMetadata`.

### NISOIMAGEMETADATA

    public static final PropertyType NISOIMAGEMETADATA

  Property type for a `NisoImageMetadata`.

### TEXTMDMETADATA

    public static final PropertyType TEXTMDMETADATA

  Property type for a `TextMDMetadata`.

### PROPERTY

    public static final PropertyType PROPERTY

  Property type for a `Property` object.

### SHORT

    public static final PropertyType SHORT

  Property type for a `Short` object, or a `short` if the Arity is Array.

### STRING

    public static final PropertyType STRING

  Property type for a `String` object.

### RATIONAL

    public static final PropertyType RATIONAL

  Property type for a `Rational` object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD